<?php

namespace Clonable\Translator\Block\Adminhtml\System\Config;

use Magento\Framework\View\Element\Template;
use Clonable\Translator\Model\ResourceModel\ReportLogs\CollectionFactory as ReportLogsCollectionFactory;


class ReportTemplate extends Template
{
    /**
     * @var ReportLogsCollectionFactory
     */
    private $reportLogsCollectionFactory;
    public function __construct(
        Template\Context $context,
        ReportLogsCollectionFactory $reportLogsCollectionFactory,
        array $data = []
    ){
        $this->reportLogsCollectionFactory = $reportLogsCollectionFactory;
        parent::__construct($context, $data);
    }

    public function getErrorsCount()
    {
        $collection = $this->reportLogsCollectionFactory->create();

        return $collection->getSize();
    }

    public function getEditReportLogsUrl()
    {
        return $this->getUrl('clonable_translator/report/index');
    }
}
