<?php

namespace Clonable\Translator\Model\Product\Condition;

use Magento\Catalog\Api\Data\ProductInterface;
use Magento\Framework\MessageQueue\PublisherInterface;
use Clonable\Translator\Model\ConfigManager;
class ConditionChain
{
    /**
     * @var ConditionHandlerInterface[]
     */
    private $handlers;

    private ConfigManager $configManager;

    private PublisherInterface $publisher;

    public function __construct(
        PublisherInterface $publisher,
        ConfigManager $configManager,
        array $handlers = []
    ){
        $this->handlers = $handlers;
        $this->publisher = $publisher;
        $this->configManager = $configManager;
    }

    public function process(ProductInterface $product): void
    {
        foreach ($this->handlers as $handler) {
            if (!$handler->handle($product)) {
                return;
            }
        }

        $this->publisher->publish($this->configManager->getTopicQueueForProduct(), $product->getSku());    }
}
